{
  "name": "@odit/lfk-mailer",
  "version": "0.2.3",
  "description": "The document mailer for the LfK! runner system. This generates and sends mails (password reset, welcome, ...)",
  "main": "src/app.ts",
  "scripts": {
    "dev": "nodemon src/app.ts",
    "build": "rimraf ./dist && tsc && cp-cli ./src/templates ./dist/templates && cp-cli ./src/locales ./dist/locales",
    "licenses:export": "license-exporter --markdown",
    "changelog:export": "auto-changelog --commit-limit false -p -u --hide-credit",
    "release": "release-it --only-version",
    "translations:sort": "node ./scripts/sort_translations.js",
    "test": "jest",
    "test:watch": "jest --watchAll",
    "test:generate_env": "ts-node ./scripts/create_testenv.ts",
    "test:ci": "npm run test:generate_env && npm run test:ci:run",
    "test:ci:run": "start-server-and-test dev http://localhost:4010/docs/openapi.json test"
  },
  "repository": {
    "type": "git",
    "url": "git@git.odit.services:lfk/mailer.git"
  },
  "keywords": [
    "odit",
    "lfk",
    "mail",
    "node"
  ],
  "author": {
    "name": "ODIT.Services",
    "email": "info@odit.services",
    "url": "https://odit.services"
  },
  "contributors": [
    {
      "name": "Philipp Dormann",
      "email": "philipp@philippdormann.de",
      "url": "https://philippdormann.de"
    },
    {
      "name": "Nicolai Ort",
      "email": "info@nicolai-ort.com",
      "url": "https://nicolai-ort.com"
    }
  ],
  "license": "CC-BY-NC-SA-4.0",
  "dependencies": {
    "@odit/class-validator-jsonschema": "2.1.1",
    "class-transformer": "0.3.1",
    "class-validator": "0.13.0",
    "consola": "2.15.0",
    "cors": "2.8.5",
    "dotenv": "8.2.0",
    "express": "4.17.1",
    "handlebars": "4.7.6",
    "i18next": "19.8.7",
    "i18next-fs-backend": "1.0.8",
    "nodemailer": "6.5.0",
    "reflect-metadata": "0.1.13",
    "routing-controllers": "0.9.0-alpha.6",
    "routing-controllers-openapi": "2.2.0"
  },
  "devDependencies": {
    "@odit/license-exporter": "0.0.10",
    "@types/express": "4.17.11",
    "@types/jest": "26.0.20",
    "@types/node": "14.14.22",
    "@types/nodemailer": "6.4.0",
    "auto-changelog": "^2.4.0",
    "axios": "0.21.1",
    "cp-cli": "2.0.0",
    "jest": "26.6.3",
    "nodemon": "2.0.7",
    "release-it": "14.2.2",
    "rimraf": "3.0.2",
    "start-server-and-test": "1.12.0",
    "ts-jest": "26.5.2",
    "ts-node": "9.1.1",
    "typescript": "4.1.3"
  },
  "release-it": {
    "git": {
      "commit": true,
      "requireCleanWorkingDir": false,
      "commitMessage": "🚀Bumped version to v${version}",
      "requireBranch": "dev",
      "push": true,
      "tag": true,
      "tagName": "v${version}",
      "tagAnnotation": "v${version}"
    },
    "npm": {
      "publish": false
    },
    "hooks": {
      "after:bump": "npm run changelog:export && npm run licenses:export && git add CHANGELOG.md && git add licenses.md"
    }
  },
  "engines": {
    "pnpm": "8.0.0"
  }
}